GET /communities
Get communities. Authenticate with your channel token.
curl -X GET https://agakural.online/communities \
-H "Authorization: Bearer $TOKEN"
POST /communities
Create communities. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| subject | body | string | Yes | Up to 100 characters |
| description | body | string | No | Up to 2048 characters |
curl -X POST https://agakural.online/communities \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"subject": "subject"}'
DELETE /communities/{id}
Delete a communities. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X DELETE https://agakural.online/communities/{id} \
-H "Authorization: Bearer $TOKEN"
GET /communities/{id}
Get one communitie. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes |
curl -X GET https://agakural.online/communities/{id} \
-H "Authorization: Bearer $TOKEN"
POST /communities/{id}/announcement
Create communities announcement. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| body | body | string | Yes | Up to 4096 characters |
curl -X POST https://agakural.online/communities/{id}/announcement \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"body": "body"}'
DELETE /communities/{id}/groups/{group}
Delete a communities groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| group | path | string | Yes |
curl -X DELETE https://agakural.online/communities/{id}/groups/{group} \
-H "Authorization: Bearer $TOKEN"
PUT /communities/{id}/groups/{group}
Update a communities groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| id | path | string | Yes | |
| group | path | string | Yes |
curl -X PUT https://agakural.online/communities/{id}/groups/{group} \
-H "Authorization: Bearer $TOKEN"
GET /groups
Get groups. Authenticate with your channel token.
curl -X GET https://agakural.online/groups \
-H "Authorization: Bearer $TOKEN"
POST /groups
Create groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| subject | body | string | Yes | Up to 100 characters |
| participants | body | array of string | Yes |
curl -X POST https://agakural.online/groups \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"subject": "subject", "participants": []}'
PUT /groups
Update groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| invite_code | body | string | Yes | Up to 200 characters |
curl -X PUT https://agakural.online/groups \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"invite_code": "invite_code"}'
DELETE /groups/{group}
Delete a groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X DELETE https://agakural.online/groups/{group} \
-H "Authorization: Bearer $TOKEN"
GET /groups/{group}
Get one group. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X GET https://agakural.online/groups/{group} \
-H "Authorization: Bearer $TOKEN"
PUT /groups/{group}
Update a groups. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| subject | body | string | No | Up to 100 characters |
| description | body | string | No | Up to 2048 characters |
curl -X PUT https://agakural.online/groups/{group} \
-H "Authorization: Bearer $TOKEN"
DELETE /groups/{group}/admins
Delete groups admins. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X DELETE https://agakural.online/groups/{group}/admins \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
PATCH /groups/{group}/admins
Update groups admins. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X PATCH https://agakural.online/groups/{group}/admins \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
DELETE /groups/{group}/applications
Delete groups applications. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X DELETE https://agakural.online/groups/{group}/applications \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
GET /groups/{group}/applications
Get groups applications. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X GET https://agakural.online/groups/{group}/applications \
-H "Authorization: Bearer $TOKEN"
POST /groups/{group}/applications
Create groups applications. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X POST https://agakural.online/groups/{group}/applications \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
DELETE /groups/{group}/icon
Delete groups icon. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X DELETE https://agakural.online/groups/{group}/icon \
-H "Authorization: Bearer $TOKEN"
PUT /groups/{group}/icon
Update groups icon. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| media | body | string | Yes |
curl -X PUT https://agakural.online/groups/{group}/icon \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"media": "media"}'
DELETE /groups/{group}/invite
Delete groups invite. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X DELETE https://agakural.online/groups/{group}/invite \
-H "Authorization: Bearer $TOKEN"
GET /groups/{group}/invite
Get groups invite. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes |
curl -X GET https://agakural.online/groups/{group}/invite \
-H "Authorization: Bearer $TOKEN"
DELETE /groups/{group}/participants
Delete groups participants. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X DELETE https://agakural.online/groups/{group}/participants \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
POST /groups/{group}/participants
Create groups participants. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| participants | body | array of string | Yes |
curl -X POST https://agakural.online/groups/{group}/participants \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{"participants": []}'
PATCH /groups/{group}/settings
Update groups settings. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| group | path | string | Yes | |
| announcement | body | boolean | No | |
| locked | body | boolean | No | |
| approval | body | boolean | No |
curl -X PATCH https://agakural.online/groups/{group}/settings \
-H "Authorization: Bearer $TOKEN"
GET /groups/link/{code}
Get one groups link. Authenticate with your channel token.
| Field | In | Type | Required | Notes |
|---|---|---|---|---|
| code | path | string | Yes |
curl -X GET https://agakural.online/groups/link/{code} \
-H "Authorization: Bearer $TOKEN"